Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.binding.expression
Class EvaluationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.binding.expression.EvaluationException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  PropertyNotFoundException, ValueCoercionException

    public class EvaluationException

extends java.lang.RuntimeException

Indicates an expression evaluation failed.

Author:
  Keith Donald
See Also:
  Serialized Form

Constructor Summary
`EvaluationException(java.lang.Class contextClass, java.lang.String expressionString, java.lang.String message)` Creates a new evaluation exception.
`EvaluationException(java.lang.Class contextClass, java.lang.String expressionString, java.lang.String message, java.lang.Throwable cause)` Creates a new evaluation exception.

Method Summary
`java.lang.Class` | `getContextClass()` The class of object upon which evaluation was attempted and failed.
`java.lang.String` | `getExpressionString()` The string form of the expression that failed to evaluate against an instance of the the context class.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EvaluationException

    public EvaluationException(java.lang.Class contextClass,
                               java.lang.String expressionString,
                               java.lang.String message)

  Creates a new evaluation exception.

  Parameters:
    `contextClass` - the class of object upon which evaluation was attempted
    `expressionString` - the string form of the expression that failed to evaluate
    `message` - the exception message

### EvaluationException

    public EvaluationException(java.lang.Class contextClass,
                               java.lang.String expressionString,
                               java.lang.String message,
                               java.lang.Throwable cause)

  Creates a new evaluation exception.

  Parameters:
    `contextClass` - the class of object upon which evaluation was attempted
    `expressionString` - the string form of the expression that failed to evaluate
    `message` - the exception message
    `cause` - the underlying cause of this evaluation exception

Method Detail

### getContextClass

    public java.lang.Class getContextClass()

  The class of object upon which evaluation was attempted and failed.

  Returns:
    the context class

### getExpressionString

    public java.lang.String getExpressionString()

  The string form of the expression that failed to evaluate against an instance of the the context class.

  Returns:
    the expression string

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD